Categories

Bright Cluster ManagerFAQ News RSS

CUDA 8.0 Packages Available

CUDA 8.0 packages are now available in the YUM repositories for Bright 7.0, 7.1, 7.2 and 7.3.

 

CUDA 8.0 packages are available in the YUM repositories for Bright 7.0, 7.1, 7.2 and 7.3. The CUDA 8.0 packages are:

  • cuda80-toolkit
  • cuda80-sdk
  • cuda80-gdk (optional)
  • cuda-driver

For a complete update, the older version must first be removed with the package manager utility. Further details of the changes are given in the KB article http://kb.brightcomputing.com/faq/index.php?action=artikel&id=149

 

Basically, the cudaXY-driver and cudaXY-lib packages from before CUDA 5.5 are both replaced by cuda-driver, which covers all CUDA versions now. For CUDA 6.0 and beyond, the cuda-profiler package is no longer there, but profiler components are now part of the cuda60-toolkit package. For CUDA 6.5 and beyond, the cuda60-tdk package is replaced by the cudaXY-gdk package.
 

The packages support situation for CUDA is now:

  • CUDA 7.0, 7.5, 8.0 packages available for Bright 7.3.
  • CUDA 7.0, 7.5, 8.0 packages available for Bright 7.2.
  • CUDA 6.5, 7.0, 7.5, 8.0 packages available for Bright 7.1.
  • CUDA 5.5, 6.0, 6.5, 7.0, 7.5, 8.0 packages available for Bright 7.0.
  • CUDA 4.2, 5.0, 5.5, 6.0, 6.5, 7.0 packages available for Bright 6.1.
  • CUDA 4.0, 4.1, 4.2, 5.0, 5.5 and 6.0 packages available for Bright 6.0.
  • CUDA 4.0, 4.1, 4.2, 5.0, 5.5 and 6.0 packages available for Bright 5.2.
  • CUDA 3.1, 3.2, 4.0 and 4.1 packages available for Bright 5.1

 

comment on this entry